Contacts
Create Client Contact
Creates a new contact for a specific client.
POST
/
clients
/
{id}
/
contacts
Create Client Contact
curl --request POST \
--url https://api.roostedhr.com/api/1_12/clients/{id}/contacts \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"name": "<string>",
"number": "<string>",
"email": "<string>",
"title": "<string>"
}
'import requests
url = "https://api.roostedhr.com/api/1_12/clients/{id}/contacts"
payload = {
"name": "<string>",
"number": "<string>",
"email": "<string>",
"title": "<string>"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', number: '<string>', email: '<string>', title: '<string>'})
};
fetch('https://api.roostedhr.com/api/1_12/clients/{id}/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"number": "<string>",
"email": "<string>",
"title": "<string>"
}{
"code": "CLI-400",
"error": "Contact name is required"
}{
"code": "ATH-100",
"error": "Invalid or missing API key"
}{
"code": "CLI-1900",
"error": "Insufficient permissions to manage clients"
}{
"code": "CLI-300",
"error": "Client not found"
}{
"code": "CLI-2000",
"error": "An unexpected error occurred"
}Authorizations
Path Parameters
Client ID
Body
application/json
Contact details. Only name is required.
⌘I
Create Client Contact
